LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XPrintJob Interface Referencepublished

allows for getting information about a print job. More...

`import"XPrintJob.idl";`

Inheritance diagram for XPrintJob:

## Public Member Functions
sequence< com::sun::star::beans::PropertyValue > | getPrintOptions ()
| returns the PrintOptions used for the print job More...
sequence< com::sun::star::beans::PropertyValue > | getPrinter ()
| returns the Printer used for the print job More...
XPrintable | getPrintable ()
| returns the printed object used for the print job More...
void | cancelJob ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows for getting information about a print job.

XPrintJob is implemented by print jobs that are created by classes that implement XPrintable. It gives information about the context of the print job.

See also
  XPrintJobListener

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ cancelJob()

void cancelJob | ( |  | ) |

## ◆ getPrintable()

XPrintable getPrintable | ( |  | ) |

returns the printed object used for the print job

## ◆ getPrinter()

sequence< com::sun::star::beans::PropertyValue > getPrinter | ( |  | ) |

returns the Printer used for the print job

## ◆ getPrintOptions()

sequence< com::sun::star::beans::PropertyValue > getPrintOptions | ( |  | ) |

returns the PrintOptions used for the print job

The documentation for this interface was generated from the following file:

- com/sun/star/view/XPrintJob.idl